Get index price
curl --request GET \
--url https://api.international.coinbase.com/api/v1/index/{index}/price \
--header 'CB-ACCESS-KEY: <api-key>' \
--header 'CB-ACCESS-PASSPHRASE: <api-key>' \
--header 'CB-ACCESS-SIGN: <api-key>' \
--header 'CB-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://api.international.coinbase.com/api/v1/index/{index}/price"
headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://api.international.coinbase.com/api/v1/index/{index}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_id": "COIN50",
"status": "STATE_OK",
"timestamp": "2024-11-11T20:42:33Z",
"price": "388.91871799439963",
"price_24hr_change": "8.940862872710408"
}Index
Get index price
Retrieves the latest index price
GET
/
api
/
v1
/
index
/
{index}
/
price
Get index price
- TS/JS
const indexService = new IndexService(client);
indexService.getIndexPrice({
index: 'COIN50',
}).then(async (response) => {
console.log('Index Price: ', response);
})
Authorizations
The Client ID that owns the API Key for the request
The pass phrase affiliated with the API Key
A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY
The timestamp of when the request is being made
Path Parameters
Identifies the index by name (e.g., COIN50)
Response
Latest index price
The Product ID for the index
Example:
"COIN50"
The status of the index price
Example:
"STATE_OK"
The timestamp of the index price
Example:
"2024-11-11T20:42:33Z"
The latest index price
Example:
"388.91871799439963"
The price 24hr change percent (negative values denote change down)
Example:
"8.940862872710408"
Was this page helpful?
⌘I